Skip to main content
POST
Create AutoAddOnAssignment for a Job

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

job-id
string<uuid>
required

Job ID

Body

application/json

If you are creating for an Account

  • account_type is required
  • for Vendor AutoAddOnAssignments, use vendor
  • for Customer AutoAddOnAssignments, use customer

If you are creating for a User, Rate, Job, JobAssignment

  • account_type is not required and accepted

If you are creating for a Project, Order

  • account_type is optional
  • for Vendor AutoAddOnAssignments, use vendor
  • for Customer AutoAddOnAssignments, use customer
  • for Driver AutoAddOnAssignments, omit or leave as null
name
string
required
add_on_rate_type
enum<string>
default:RateForEach
required
Available options:
RateForEach,
RatePercentOfTotal,
PerLoad,
FuelSurcharge
Example:

"RateForEach"

add_on_types
enum<string>[]
required
Available options:
driver_pay,
invoicing,
job,
settlement,
driver_day
quantity
number
rate
number
deprecated

Deprecated in favor of revenue_rate_value.

percentage
number
external_id
string | null
accounting_id
string | null
add_on_id
string<uuid> | null
account_type
enum<string> | null
Available options:
customer,
vendor
Example:

"customer"

total_installments
integer
Required range: x >= 0
revenue_rate_value
number

The cost rate or buy price of the add on.

revenue_cost_rate_type
enum<string>
default:RateForEach
Available options:
RateForEach,
RatePercentOfTotal,
PerLoad,
FuelSurcharge
Example:

"RateForEach"

cost_rate_value
number | null

The cost rate or buy price of the add on.

original_auto_add_on_assignment_id
string<uuid> | null

If you are creating an AutoAddOnAssignment based on an existing one, you'd need to provide this value for cascading effect.

If the AutoAddOnAssignment you are basing on already has a original_auto_add_on_assignment_id, then just copy it over. Otherwise, use its id as the original_auto_add_on_assignment_id for the new record.

source_id
string<uuid> | null
source_type
enum<string> | null
Available options:
Settlement
Example:

"Settlement"

Response

Created

data
AutoAddOnAssignment-Read · object
required

Note:

  • add_on_id is deprecated